/**
 * griller.h
 * $Id: griller.h 642 2013-05-21 00:11:27Z fwbergm $
 */

#include "../lib/libfwb.h"
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <dirent.h>
#include <pwd.h>
#include <stdlib.h>
#include <stdint.h>
#include <sysexits.h>
#include <signal.h>

/* some adjustable limits which must fit your needs */
#define MAX_USERS_IN_PASSWD 4000
#define MAX_COUNT_OF_PROCS 8000


#define BUFSIZE 16384
#define WRITEBUFSIZE 2048
#define STRING_SIZE 255

extern uint32_t kill_level;
extern uint32_t min_uid;
extern uint32_t max_uid;
extern int killing_off;
extern uint32_t maxloadsoft;
extern uint32_t maxloadhard;
extern uint32_t procsoftlimit;
extern uint32_t prochardlimit;

void get_envvars();
uint64_t get_start_time();
uint64_t get_uptime_in_seconds();
int get_jiffies_per_second(uint64_t uptime);
int str_index3(const char* a, register const char* b, int al, register int t);
char *field(register const char *s, uint16_t index);
uint32_t get_load1();
int is_socket_link(register const char *s);
